package pokusyskolekcemi;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Hashtable;

public class Program 
{
    private static ArrayList<Integer> čísla;
    
    private static void příprava()
    {
        čísla = new ArrayList<>(Arrays.asList(1,2,3,4,5,6,7,8,9));
    }
    
    private static void vypiš(Collection<?> kolekce)
    {
        /* Výpis kolekce pomocí iterátoru:
        var iterátor = kolekce.iterator();
        while(iterátor.hasNext())
        {
            System.out.println(iterátor.next());
        }
        */
        /* pomocí for pro kolekce:
        for(var i: kolekce)
        {
            System.out.println(i);
        }
        */
        kolekce.forEach(i -> System.out.println(i));
    }
    
        private static void odstraňSudá1(Collection<Integer> kolekce)
        {
            kolekce.removeIf(i -> i % 2 == 0);
        }
    
    private static void odstraňSudá(Collection<Integer> kolekce)
    {
       var iterátor = kolekce.iterator();
       while(iterátor.hasNext())
       {
           int i = iterátor.next();
           if(i % 2 == 0)
           {
               iterátor.remove();
           }
       }
    }
    public static void main(String[] args) 
    {
        Hashtable<String, String> heška = new Hashtable<>();
        heška.put("klíč", "hodnnota");
        heška.put("klíč", "hodnota");
        příprava();      
        //vypiš(čísla);
        //odstraňSudá(čísla);
        odstraňSudá1(čísla);
        vypiš(čísla);
    }
    
}
