package euler;

import java.math.BigDecimal;
import java.math.MathContext;

public class Program 
{
    public static void ukázka_double()
    {
        double x = 0, delta = 0.1;
        while(x != 1.0)
        {
            x += delta;
            System.out.println(x);
            if(x > 1.2) break;
        }
    }
    
    public static void ukázka_big_decimal()
    {
        BigDecimal delta = new BigDecimal("0.1");
        BigDecimal x = BigDecimal.ZERO;
        BigDecimal zarážka = new BigDecimal("1.2");
        while(x.compareTo(BigDecimal.ONE) != 0)
        {
            x = x.add(delta);
            System.out.println(x);
            if(x.compareTo(zarážka) > 0) break;
        }
    }
    
    private static BigDecimal e(int početCifer)
    {
        BigDecimal výsledek = new BigDecimal(2);
        int i = 2;
        BigDecimal sčítanec = new BigDecimal("0.5");
        BigDecimal předchozí = BigDecimal.ONE;
        MathContext kontext = new MathContext(početCifer + 3);
        while(výsledek.compareTo(předchozí) != 0)
        {
            předchozí = výsledek;
            výsledek = výsledek.add(sčítanec, kontext);
            System.out.println(výsledek.subtract(předchozí));
            sčítanec = sčítanec.divide(new BigDecimal(++i), kontext); 
        }
        return výsledek;
    }       
    
    
    public static void main(String[] args) 
    {
        
        System.out.println(e(30));
        //ukázka_double();
        //ukázka_big_decimal();
//        BigDecimal číslo = new BigDecimal(1.1, new MathContext(20, RoundingMode.HALF_UP));
//        System.out.println(číslo);
//        
//        BigDecimal x = BigDecimal.ONE;
//        x = x.divide(new BigDecimal("3"), new MathContext(50));
//        System.out.println(x);

    }
    
}
